#!/usr/bin/env bash
################################################################################

PYMODULE=bcrypt

################################################################################

if [ $EUID -ne 0 ]; then
	echo "This script requires root or sudo privileges."
	exit 1
fi

DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )

python <<EOF
try:
	import ${PYMODULE}
	import sys
	sys.exit(0)
except:
	import sys
	sys.exit(1)
EOF
has_pymodule=$?

if [ $has_pymodule -eq 0 ]; then
	exit 0
fi

echo Installing python-dev
apt-get -y install python-dev

echo Installing python-setuptools
apt-get -y install python-setuptools

echo Installing pip
easy_install pip

echo Installing py-bcrypt
pip install py-bcrypt